Subject: 24.3.50; Emacs Cygwin crashes when replying to a mail

From: Katsumi Yamaoka <[email-masked]>
Date: Mon, 02 Sep 2013 15:02:16 +0900

Hi,

Recently Emacs on Cygwin crashes pretty often when I try to reply
to a mail in a new frame[1] using Gnus.  I feel the frequency gets
high if a mail cites Japanese and Chinese mixture text (so, it's
due to decoding of characters?).  But it hardly crashes if I have
a new empty message frame in advance besides the summary frame.
It happened too also when I used the LUCID toolkit last week.
I don't know what's wrong, sorry, but a gdb backtrace is attached.

Thanks.

[1] I use:
    http://www.jpl.org/ftp/pub/elisp/message-multiple-frames.el.gz
    It pops up a message frame after composing it.

In GNU Emacs 24.3.50.1 (i686-pc-cygwin, GTK+ Version 3.8.2)
 of 2013-09-02 on localhost
Bzr revision: 114096 [email-masked]
Windowing system distributor `The Cygwin/X Project', version 11.0.11402000
Configured using:
Configured using:
 `configure --verbose --with-x-toolkit=gtk3 --without-imagemagick
 --without-dbus --without-gconf --without-gsettings'

Important settings:
  value of $LC_CTYPE: ja_JP.UTF-8
  value of $LC_MESSAGES: C
  value of $LANG: C
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

A backtrace follows:

GNU gdb (GDB) 7.6.50.20130728-cvs (cygwin-special)
[...]
Fatal error 6: Aborted
Program received signal SIGABRT, Aborted.
terminate_due_to_signal (sig=2265648, backtrace_limit=164) at emacs.c:372
372       exit (1);
(gdb) bt
#0  terminate_due_to_signal (sig=2265648, backtrace_limit=164) at emacs.c:372
#1  0x3818cf46 in ?? ()
#2  0x00229230 in ?? ()
#3  0x7693543c in WriteFile () from /cygdrive/c/windows/system32/kernel32.dll
#4  0x610dc5a0 in sig_send(_pinfo*, siginfo_t&, _cygtls*)@12 (p=0x60fd0000,
    p@entry=0x0, si=..., tls=tls@entry=0x0)
    at /usr/src/debug/cygwin-1.7.24-1/winsup/cygwin/sigproc.cc:624
#5  0x610d9c4d in _pinfo::kill(siginfo_t&)@8 (this=0x0, si=...)
    at /usr/src/debug/cygwin-1.7.24-1/winsup/cygwin/signal.cc:248
#6  0x00229274 in ?? ()
Backtrace stopped: previous frame inner to this frame (corrupt stack?)
(gdb)